Create Comment
curl --request POST \
--url https://api.example.com/api/v1/comments/card/{card_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"allow_free_text": false,
"choices": [
{
"id": "<string>",
"label": "<string>"
}
],
"comment_type": "text"
}
'import requests
url = "https://api.example.com/api/v1/comments/card/{card_id}"
payload = {
"content": "<string>",
"allow_free_text": False,
"choices": [
{
"id": "<string>",
"label": "<string>"
}
],
"comment_type": "text"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
allow_free_text: false,
choices: [{id: '<string>', label: '<string>'}],
comment_type: 'text'
})
};
fetch('https://api.example.com/api/v1/comments/card/{card_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"author_id": "<string>",
"card_id": "<string>",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"allow_free_text": false,
"choices": [
{
"id": "<string>",
"label": "<string>"
}
],
"comment_type": "text",
"responses": [
{
"responder_id": "<string>",
"responder_name": "<string>",
"free_text": "<string>",
"selected": []
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}comments
Create Comment
Create a new comment on a card.
POST
/
api
/
v1
/
comments
/
card
/
{card_id}
Create Comment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Schema for creating a comment.
For text comments, only content is needed.
For choice boards, set comment_type to "choice" or "multi_choice"
and provide choices.
Response
Successful Response
Schema for comment response.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on May 17, 2026
⌘I